package com.th.demo.model.finance;

import com.th.demo.model.system.SysUser;

import java.util.Date;

public class AccountDetail {
    private String id;

    private String fId;

    private String recordType;

    private Integer changeTime;

    private String plateNo;

    private String wareName;

    private String stackName;

    private Integer layer;

    private String materialName;

    private String standard;

    private String model;

    private String customerName;

    private String customerNo;

    private Double count;

    private Double weight;

    private Double suttle;

    private String receiveAddress;

    private Double storageUnitPrice;

    private Double storagePrice;

    private Double weightUnitPrice;

    private Double weightPrice;

    private Double reduceUnitPrice;

    private Double reducePrice;

    private Double totalPrice;

    private String accountFlag;

    private SysUser addUser;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String belongId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getfId() {
        return fId;
    }

    public void setfId(String fId) {
        this.fId = fId == null ? null : fId.trim();
    }

    public String getRecordType() {
        return recordType;
    }

    public void setRecordType(String recordType) {
        this.recordType = recordType == null ? null : recordType.trim();
    }

    public Integer getChangeTime() {
        return changeTime;
    }

    public void setChangeTime(Integer changeTime) {
        this.changeTime = changeTime;
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo == null ? null : plateNo.trim();
    }

    public String getWareName() {
        return wareName;
    }

    public void setWareName(String wareName) {
        this.wareName = wareName == null ? null : wareName.trim();
    }

    public String getStackName() {
        return stackName;
    }

    public void setStackName(String stackName) {
        this.stackName = stackName == null ? null : stackName.trim();
    }

    public Integer getLayer() {
        return layer;
    }

    public void setLayer(Integer layer) {
        this.layer = layer;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard == null ? null : standard.trim();
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public String getCustomerNo() {
        return customerNo;
    }

    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo == null ? null : customerNo.trim();
    }

    public Double getCount() {
        return count;
    }

    public void setCount(Double count) {
        this.count = count;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public Double getSuttle() {
        return suttle;
    }

    public void setSuttle(Double suttle) {
        this.suttle = suttle;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress == null ? null : receiveAddress.trim();
    }

    public Double getStorageUnitPrice() {
        return storageUnitPrice;
    }

    public void setStorageUnitPrice(Double storageUnitPrice) {
        this.storageUnitPrice = storageUnitPrice;
    }

    public Double getStoragePrice() {
        return storagePrice;
    }

    public void setStoragePrice(Double storagePrice) {
        this.storagePrice = storagePrice;
    }

    public Double getWeightUnitPrice() {
        return weightUnitPrice;
    }

    public void setWeightUnitPrice(Double weightUnitPrice) {
        this.weightUnitPrice = weightUnitPrice;
    }

    public Double getWeightPrice() {
        return weightPrice;
    }

    public void setWeightPrice(Double weightPrice) {
        this.weightPrice = weightPrice;
    }

    public Double getReduceUnitPrice() {
        return reduceUnitPrice;
    }

    public void setReduceUnitPrice(Double reduceUnitPrice) {
        this.reduceUnitPrice = reduceUnitPrice;
    }

    public Double getReducePrice() {
        return reducePrice;
    }

    public void setReducePrice(Double reducePrice) {
        this.reducePrice = reducePrice;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getAccountFlag() {
        return accountFlag;
    }

    public void setAccountFlag(String accountFlag) {
        this.accountFlag = accountFlag == null ? null : accountFlag.trim();
    }

    public SysUser getAddUser() {
        return addUser;
    }

    public void setAddUser(SysUser addUser) {
        this.addUser = addUser;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getBelongId() {
        return belongId;
    }

    public void setBelongId(String belongId) {
        this.belongId = belongId == null ? null : belongId.trim();
    }
}